<?php

namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00015000ApontamentoRecursosService;


class Sm00015000ApontamentoRecursosController extends SMCrud {
    
    protected $dataSourceName = "fct_apontamentoapropagen_widget";
    protected $apontamentoService;

    public function __construct($crudService, $environment,Sm00015000ApontamentoRecursosService $apontamentoService) {
        parent::__construct($crudService, $environment);
        $this->apontamentoService  = $apontamentoService;
    }
    
        
    /**
     * Valida o campo tipo no banco
     */
    
   public function validaçãoDeCampoTipo(Request $request, Response $response){
        try {
            $row = $request->getRow();
            $nrapropagendamento = $row["NRAPROPAGENDAMENTO"];
            $nrorg = $row["NRORG"];
           
            $dados = $this->apontamentoService->validaçãoDeCampoTipo($nrapropagendamento, $nrorg);
            $response->addDataSet(new DataSet("dados", $dados));
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
   }
   /*
    * Atualizando no banco o campo da tabela de apropriação com as
     * horas que foram excluidas ou adicionadas
     */
    
   public function validaHorarios(Request $request, Response $response){
        try {
            $row = $request->getRow();
            $nrapropagendamento = $row["NRAPROPAGENDAMENTO"];
            $nrorg = $row["NRORG"];
           
            $dados = $this->apontamentoService->validaHorarios($nrapropagendamento, $nrorg);
            $teste =  new DataSet("dados" , $dados);
            
            $response-> addDataSet($teste);

            
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
   }
   /*
    * Atualizando no banco o campo da tabela de apropriação com as
     * horas que foram excluidas ou adicionadas
     */
    
   public function verificarApontamento(Request $request, Response $response){
        try {
            $row = $request->getRow();
            $nrapropagendamento = $row["NRAPROPAGENDAMENTO"];
            $nrorg = $row["NRORG"];
           
            $dados = $this->apontamentoService->verificarApontamento($nrapropagendamento,$nrorg);
            $lançado =  new DataSet("dados" , $dados);
            
            $response-> addDataSet($lançado);

            
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
   }
   /*
    * Atualizando no banco o campo da tabela com a situação de apontamento confirmada
    */
    
   public function atualizarSituacao(Request $request, Response $response){
        try {
            $row = $request->getRow();
            $nrapropagendamento = $row["NRAPROPAGENDAMENTO"];
            $nrorg = $row["NRORG"];
           
            $dados =  $this->apontamentoService->atualizarSituacao($nrapropagendamento,$nrorg);
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
   }
}
?>

