<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctDesalocaRecursos {
    
    const NOME = "FCT_DESALOCA_RECURSOS";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure.
     * 
     * @param integer $nrorg
     * @param string  $operador
     * 
     */
    public function executar($operador, $dataDesalocacao) {
        
        $procedure = new StoredProcedure($this->connection, self::NOME);
        
        $procedure->addParam(new Param("P_OPERADOR",   Param::PARAM_INPUT,  $operador,         Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_DTDESALOC",  Param::PARAM_INPUT,  $dataDesalocacao,  Param::PARAM_TYPE_STR));
        
        $procedure->execute();
    }
}

?>
